export type RingPoint = [number, number];
export type Ring = RingPoint[];
export declare function distance(a: RingPoint, b: RingPoint): number;
export declare function pointAlong(a: RingPoint, b: RingPoint, pct: number): RingPoint;
export declare function samePoint(a: RingPoint, b: RingPoint): boolean;
export declare function interpolatePoints(a: Ring, b: Ring, string: boolean): (t: number) => string | RingPoint[];
export declare function interpolatePoint(a: RingPoint, b: RingPoint): (t: number) => RingPoint;
export declare function isFiniteNumber(value: unknown): value is number;
export declare function polygonArea(polygon: Ring): number;
export declare function polygonLength(polygon: Ring): number;
